import { Schema } from "mongoose";
import { picDB } from "../../db/mongo/db_init";

const logSchema = new Schema({
    createTime: {type:Number, index: true},
    uId: {type: Number, index:true},
    logType: Number,
    info:String
});

let logModel;

export function getModel() {
    logModel = picDB.model('log', logSchema);
}


export async function getAllLog() {
    return await logModel.find({}).exec();
}

export async function addLog(addInfo) {//todo
    await logModel.insert(addInfo);
    return true;
}

export async function selectLogByParamater(paramater) { //todo
    let query = {paramater}
    return await logModel.find(query).exec();  
}

export function getParamater() {//todo

}

