import * as asyncHandler from 'express-async-handler';
import * as picBiz from '../biz/pic';
export function setRouter(httpServer) {
    httpServer.post('/api/pic/up', asyncHandler(upFile));
    httpServer.post('/api/pic/list', asyncHandler(fileList));
}

async function upFile(req, res) {
    let result = await picBiz.upPsdFile(req, userId, psdType, userName, desc);
    res.send(result);
}

async function fileList(req, res) {
    let picType = req.picType;
    let result = await picBiz.picList(picType);
    res.send(result);
}