import * as asyncHandler from 'express-async-handler'
import * as dataListBiz from '../biz/dataList'
import * as userRouters from './user'
import * as picRouters from './pic'

export function setRouter(httpServer) {
    httpServer.get('/datalist', asyncHandler(dataListBiz.getData));
    userRouters.setRouter(httpServer);
    picRouters.setRouter(httpServer);
}

export const paramatersConfig = [
    {url:"/api/user/login", parm:{loginId:"", pwd:""} },
    {url:"/api/user/register", parm:{loginId:"", pwd:-1, uName:""} },
    {url:"/api/user/test", parm:{roles:[], data:{}, num:1, str:"'" } }
];

export function newSetRouter(httpServer) {

}