import * as asyncHandler from 'express-async-handler';
import * as userBiz from './../biz/user';



export function setRouter(httpServer) {
    httpServer.post('/api/user/login', asyncHandler(login));
    httpServer.post('/api/user/register', asyncHandler(register));
}

async function login(req, res) {
    let loginId = req.body.loginId;
    let pwd = req.body.pwd;

    let userInfo = await userBiz.login(loginId, pwd);
    
    res.success(userInfo);
}

async function register(req, res) {
    let loginId = req.body.loginId;
    let pwd = req.body.pwd;
    let uName = req.body.name;

    let userInfo = await userBiz.register(uName, loginId, pwd);
    
    res.success(userInfo);
}

//todo 修改密码自己写