//端口
export function getPort() : number {
    return Number(process.env.PORT) || Number(process.argv[3]) || 60000;
}

// sit 测试环境 prod 生产环境 dem 演示环境(测试数据，前端无密码访问)
export function getEnv() : string {
    return process.argv[2] || "sit";
}

//mongo数据库连接字符
export const mongoServerConstVal = {
    picDBUrl:getPicDBUrl,
}

//mysql数据库连接对象
export const mySqlConfig = {
    mysqlHost: '',
    mysqlPort: 0,
    mysqlUser: '',
    mysqlPwd: '',
};

//png路径
export const upImgPathConfig = {
    png:"res/up/png",
    jpg:"res/up/jpg",
    psd:"res/up/psd",
};

//log路径
export const systemLogPath = {
    errorLogFile:"error",
    errorLogDir:"error",
    handleLogFile:"handle",
    handleLogDir:"handle"
}

function getPicDBUrl() {
    return 'mongodb://127.0.0.1:27017/picDB';
}

